{
	"parent":"minecraft:adventure/sleep_in_bed",
	"display":{
		"icon":{
			"item":"minecraft:jukebox"
		},
		"title":{
			"translate":"advancements.adventure.play_jukebox_in_meadows.title"
		},
		"description":{
			"translate":"advancements.adventure.play_jukebox_in_meadows.description"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"criteria":{
		"play_jukebox_in_meadows":{
			"trigger":"minecraft:item_used_on_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:location_check",
					"predicate":{
						"biome":"minecraft:meadow",
						"block":{
							"blocks":[
								"minecraft:jukebox"
							]
						}
					}
				},
				{
					"condition":"minecraft:match_tool",
					"predicate":{
						"tag":"minecraft:music_discs"
					}
				}]
			}
		}
	},
	"requirements":[
		[
			"play_jukebox_in_meadows"
		]
	],
	"sends_telemetry_event":true
}